.page-header
	h3 {{header}} - {{Form.nome}}

.panel.panel-primary
	.panel-heading
		.panel-title Formulário
	.panel-body.clearfix
		.btn-group.pull-right
			button.btn.btn-primary(ng-disabled="UsuarioForm.$invalid",type="submit") Salvar
			button.btn.btn-default(ng-click="cancel()",type="button") Cancelar
	.panel-body
		form.form(name="UsuarioForm",ng-submit="save()",novalidate)
			.row
				.col-md-6
					.form-group(ng-class="{'has-error':UsuarioForm.nome.$invalid && UsuarioForm.nome.$dirty}")
						i.pull-right.text-danger.fa.fa-asterisk(tooltip="Campo requerido")
						label.control-label Nome
						input.form-control(ng-minlength="5", required="true", name="nome",ng-model="Form.nome",placeholder="Nome da Usuário")
						span(class="help-block",ng-if="UsuarioForm.nome.$error.minlength") Mais de 5 caracteres
				.col-md-6
					.form-group(ng-class="{'has-error':UsuarioForm.grupo_id.$invalid}")
						i.pull-right.text-danger.fa.fa-asterisk(tooltip="Campo requerido")
						label.control-label Grupo
						select.form-control(required="true", name="grupo_id",ng-model="Form.grupo_id",ng-options="item.Grupo.id as item.Grupo.nome for item in Grupos")
							option(value="") Selecione um Grupo
			.row
				.col-md-6
					.form-group(ng-class="{'has-error':UsuarioForm.email.$invalid}")
						label.control-label Email
						input.form-control(type="email", name="email",ng-model="Form.email",placeholder="Email do Usuário")
						span(class="help-block",ng-if="UsuarioForm.email.$error.email") Email inválido
				.col-md-6
					.form-group(ng-class="{'has-error':UsuarioForm.login.$invalid && UsuarioForm.login.$dirty}")
						i.pull-right.text-danger.fa.fa-asterisk(tooltip="Campo requerido")
						label.control-label Login
						input.form-control(ng-minlength="5", required="true", name="login",ng-model="Form.login",placeholder="Login do Usuário")
						span(class="help-block",ng-if="UsuarioForm.login.$error.minlength") Mais de 5 caracteres
	.panel-footer.clearfix
		.btn-group.pull-right
			button.btn.btn-primary(ng-disabled="UsuarioForm.$invalid",type="submit") Salvar
			button.btn.btn-default(ng-click="cancel()",type="button") Cancelar
